Bug 475144 - Review Request: metalink - CLI Metalink generation tool
Review Request: metalink - CLI Metalink generation tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 02:16 EST by Ant Bryan
Modified: 2009-03-18 15:07 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.3.6-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 03:04:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ant Bryan 2008-12-08 02:16:33 EST
Spec URL: http://pastebin.ca/1279438
SRPM URL: http://www.metalinker.org/mirrors/metalink/metalink-0.3.5-1.fc10.src.rpm
Description: Metalink is the main Metalink generation tool. It combines a list of mirrors
(from stdin) and a number of files into one Metalink record (stdout). It can
also be used to transform a MD5SUMS file into a metalink.

Features currently include:
- Hashing algorithms: md4 md5 sha1 sha256 sha384 sha512 rmd160 tiger crc32
  ed2k gnunet
- Generation of Metalink files from MD5SUMS lists


Metalinks are XML files listing mirrors and checksums. Currently, Fedora uses MirrorManager to create Metalinks for files like ISOs. This app is a simple command line tool that can create them.
Comment 1 Jason Tibbitts 2008-12-12 20:44:21 EST
I believe you neglected to indicate that you need a sponsor.
Comment 2 Jason Tibbitts 2008-12-12 21:11:19 EST
A few other comments:

The license on the most of the source files that I looked at indicate GPLv3 or later, though some indicate version 2 or later.  Combined, these would simply be "GPLv3 or later", which would imply a Licence: tag of "GPLv3+".  However, the program itself, in its help output, explicitly says "GPLv2".  Upstream needs to clarify the situation.

The %description should be trimmed a bit.  Really only the first paragraph is appropriate for a package description, but it could also really use some definition of "metalink".

rpmlint has one complaint:
  metalink.x86_64: W: spurious-executable-perm 
   /usr/share/doc/metalink-0.3.5/example/gen.sh
Generally documentation isn't executable, but it's not usually a review blocker unless the documentation carries additional dependencies that the base package doesn't.  You should be OK.

It would be really nice if this had a manpage.
Comment 3 Ant Bryan 2008-12-13 03:08:07 EST
Thanks for the comments, Jason. I will work on these issues with upstream.

So, don't change the one thing rpmlint complains about?

And yes, I do need a sponsor.
Comment 4 Mamoru TASAKA 2009-01-05 11:25:17 EST
Well, for this package I think the license must be
clarified before approved because:

- some files are under GPLv3+
- README says it is under GPLv2 (unfortunately GPLv2+...)
- GPLv2 and GPLv3+ are incompatible

So from my viewpoint the current situation cannot be accepted.
Comment 5 Mamoru TASAKA 2009-01-05 11:26:04 EST
(In reply to comment #4)
> - README says it is under GPLv2 (unfortunately GPLv2+...)

Should be read as "not GPLv2+"
Comment 6 Ant Bryan 2009-01-05 15:01:58 EST
Here is a new spec & source RPM.
- license clarifications (GPLv3+) & man page upstream.
- trimmed %description & added definition of metalink.
- rpmlint complaint about script left as is.


Spec URL: http://pastebin.ca/1300332
SRPM URL:
http://www.metalinker.org/mirrors/metalink/metalink-0.3.6-1.fc10.src.rpm
Description: a .metalink is an XML file that describes a download, and includes mirrors and checksum information. Metalink is the main Metalink generation tool. It combines a list of mirrors (from stdin) and a number of files into one Metalink record (stdout). It can also be used to transform a MD5SUMS file into a metalink.
Comment 7 Mamoru TASAKA 2009-01-06 12:50:30 EST
Well, some notes for 0.3.6-1:

* SourceURL
  - For sourceforge hosted tarball, please follow
    https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net

* BuildRequires
  - "BuildRequires: gcc-c++ libstdc++-devel make" are redundant.
  - Is "help2man" really used when rebuilding this srpm?

* Timestamps
  - It is preferred to use
-----------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
-----------------------------------------------------------
    to keep timestamps on installed files.
    This method usually works for Makefiles based on recent
    autotools

* %defattr
  - Now we recommend %defattr(-,root,root,-)

* rpmlint issue
-----------------------------------------------------------
metalink.src: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 1)
metalink.src: E: description-line-too-long a .metalink is an XML file that describes a download, and includes mirrors and checksum information.
metalink.i386: W: spurious-executable-perm /usr/share/doc/metalink-0.3.6/example/gen.sh
-----------------------------------------------------------
  - Please use spaces or tabs for indention, not both, for
    cosmetic issue.
  - Cut one line in two lines or so when it exceeds 79 characters.
  - Usually I suggest that all files marked as %doc should have
    0644 permission.
Comment 8 Ant Bryan 2009-01-07 03:34:44 EST
Thanks for the notes!

I've fixed everything except for:

* rpmlint issue
-----------------------------------------------------------
metalink.i386: W: spurious-executable-perm
/usr/share/doc/metalink-0.3.6/example/gen.sh
-----------------------------------------------------------
  - Usually I suggest that all files marked as %doc should have
    0644 permission.

I am trying

%attr(644,root,root) %{_defaultdocdir}/%{name}-%{version}/example/gen.sh

and

%doc %attr(644,root,root) example/gen.sh

Nothing seems to work. What am I doing wrong?
Comment 9 Mamoru TASAKA 2009-01-07 03:54:21 EST
I have not checked your srpm yet, however:

(In reply to comment #8)
> * rpmlint issue
> -----------------------------------------------------------
> metalink.i386: W: spurious-executable-perm
> /usr/share/doc/metalink-0.3.6/example/gen.sh
> -----------------------------------------------------------
>   - Usually I suggest that all files marked as %doc should have
>     0644 permission.
> 
> I am trying
> %attr(644,root,root) %{_defaultdocdir}/%{name}-%{version}/example/gen.sh
> and
> %doc %attr(644,root,root) example/gen.sh
> Nothing seems to work.

at %prep:
chmod 0644 example/gen.sh
will do.
Comment 10 Ant Bryan 2009-01-07 04:13:26 EST
(In reply to comment #9)
> I have not checked your srpm yet, however:

Sorry, the srpm would not build & I was waiting to fix that final issue.

Spec URL: http://pastebin.ca/1302623
SRPM URL:
http://www.metalinker.org/mirrors/metalink/metalink-0.3.6-2.fc10.src.rpm
 
> at %prep:
> chmod 0644 example/gen.sh
> will do.

Aha, that did it!
Comment 11 Mamoru TASAKA 2009-01-08 13:51:19 EST
Assigning.

* A very minor issue
  - 0.3.6-2 %changelog entry contains
------------------------------------------------------------
- New version, 0.3.6-1 (not -2)
------------------------------------------------------------

Now I think this package can be approved, however as
this is NEEDSPONSOR ticket, I will discuss with Christoph.
Comment 12 Ant Bryan 2009-01-08 14:35:44 EST
Thank you. Apparently I updated the spec but didn't rebuild the srpm.

SRPM URL:
http://www.metalinker.org/mirrors/metalink/metalink-0.3.6-2.fc10.src.rpm
Comment 13 Mamoru TASAKA 2009-01-09 11:21:23 EST
Okay, then I will wait for gget review request (for sponsorship
issue)
Comment 14 Christoph Wickert 2009-02-19 20:18:25 EST
Removing the blocker on bug # 177841 because I'm going to sponsor Ant. Mamoru, can you approve the package then?
Comment 15 Mamoru TASAKA 2009-02-20 10:30:47 EST
(In reply to comment #14)
> Removing the blocker on bug # 177841 because I'm going to sponsor Ant
Thank you.

Now I re-reviewed this package and it is still okay.
----------------------------------------------------------
   This package (metalink) is APPROVED by mtasaka
----------------------------------------------------------
Comment 16 Ant Bryan 2009-02-23 13:50:51 EST
New Package CVS Request
=======================
Package Name: metalink
Short Description: A command line Metalink Generator.
Owners: ant
Branches: F-9 F-10 F-11
InitialCC:
Comment 17 Kevin Fenzi 2009-02-24 16:12:53 EST
cvs done.
Comment 18 Fedora Update System 2009-02-27 15:13:09 EST
metalink-0.3.6-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/metalink-0.3.6-2.fc9
Comment 19 Fedora Update System 2009-02-27 15:13:14 EST
metalink-0.3.6-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/metalink-0.3.6-2.fc10
Comment 20 Fedora Update System 2009-02-27 22:28:30 EST
metalink-0.3.6-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update metalink'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2197
Comment 21 Fedora Update System 2009-02-27 22:29:46 EST
metalink-0.3.6-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update metalink'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2205
Comment 22 Mamoru TASAKA 2009-02-28 03:04:58 EST
Now closing.
Comment 23 Fedora Update System 2009-03-18 15:02:30 EDT
metalink-0.3.6-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2009-03-18 15:07:40 EDT
metalink-0.3.6-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.